Skip to main content
GET
/
v2
/
customers
/
{customerId}
/
bankaccounts
Query Customer Bank Accounts
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/bankaccounts \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "accountHolder": "<string>",
    "bankName": "<string>",
    "accountNumber": "<string>",
    "bankCode": "<string>",
    "iBAN": "<string>",
    "bIC": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the bank accounts belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

The requested bank account of the customer.

id
string<uuid>

The unique ID to identify a customer's bank account.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

accountHolder
string

Name of the account holder of the customer's bank account.

bankName
string

Name of the bank.

accountNumber
string

Account number of the customer's bank account.

bankCode
string

Bank code of the customer bank's account.

iBAN
string

International bank account number of the customer's bank account.

bIC
string

Bank identification code of the customer's bank account.